require 'puppet/indirector/face'
Puppet::Face.define(:node_vmware, '0.0.1') do
  copyright "Puppet Labs", 2011
  license   "Puppet Enterprise Software License Agreement"

  summary "View and manage VMware vSphere Virtual Machine nodes."
  description <<-'EOT'
    This subcommand provides a command line interface to work with VMware vSphere
    Virtual Machine instances.  The goal of these actions is to easily create
    new virtual machines, install Puppet onto them, and clean up when they're
    no longer required.

    Four configuration options are required in ~/.fog.  A vCenter user account,
    password, server hostname, and the hash digest of the vCenter SSL public key.
    Puppet will display the digest the first time connecting to vCenter if the
    setting is omitted from the configuration file.

    The following is an example of ~/.fog configured with an "API" access
    account.

        :default:
          :vsphere_server: vcenter.puppetlabs.lan
          :vsphere_username: api_user
          :vsphere_password: sekret
          :vsphere_expected_pubkey_hash: 431dd5d0412...

  EOT
end
