class Emcee
  class Result
    attr_reader :result, :raw_contents, :node_name, :status_code, :status_message

    def initialize(rpc_result)
      @result = rpc_result
      @raw_contents = rpc_result.results[:data] || {}
      @node_name = rpc_result.results[:sender]
      @status_code = rpc_result.results[:statuscode]
      @status_message = rpc_result.results[:statusmsg]
    end

    def contents
      @contents ||= raw_contents[:properties] || raw_contents[:output] || raw_contents
    end

    def successful?
      status_code == 0
    end

    def to_hash
      { :node_name => node_name, :contents => contents }
    end
  end
end
